# Uses of Class
org.eclipse.ui.forms.widgets.FormToolkit

Packages that use FormToolkit
Package
Description
org.eclipse.ui.forms
Forms-based controls for use in views, editors, and wizards.
org.eclipse.ui.forms.editor
Support for forms-based multi-page editors.
org.eclipse.ui.intro.config
Provides support for customizing welcome content and presentation.
org.eclipse.ui.intro.contentproviders
Contains classes which can be used to add controls to a welcome page.
org.eclipse.ui.intro.quicklinks
Application programming interfaces for the Quicklinks Viewer, a component for the Welcome/Intro.
org.eclipse.ui.views.properties.tabbed
Provides the Tabbed Properties framework.

## Uses of FormToolkit in org.eclipse.ui.forms

Methods in org.eclipse.ui.forms that return FormToolkit
Modifier and Type
Method
Description
`FormToolkit`
IManagedForm.`getToolkit()`
Returns the toolkit used by this form.
`FormToolkit`
ManagedForm.`getToolkit()`
Constructors in org.eclipse.ui.forms with parameters of type FormToolkit
Modifier
Constructor
Description
``
`ManagedForm(FormToolkit toolkit, ScrolledForm form)`
Creates a managed form that will use the provided toolkit and
``
`SectionPart(Composite parent, FormToolkit toolkit, int style)`
Creates a new section part inside the provided parent and using the provided toolkit.

## Uses of FormToolkit in org.eclipse.ui.forms.editor

Methods in org.eclipse.ui.forms.editor that return FormToolkit
Modifier and Type
Method
Description
`protected FormToolkit`
FormEditor.`createToolkit(Display display)`
Creates the form toolkit.
`FormToolkit`
FormEditor.`getToolkit()`
Returns the toolkit owned by this editor.

## Uses of FormToolkit in org.eclipse.ui.intro.config

Methods in org.eclipse.ui.intro.config with parameters of type FormToolkit
Modifier and Type
Method
Description
`void`
IIntroContentProvider.`createContent(String id, Composite parent, FormToolkit toolkit)`
Creates SWT content in the provided Composite.
`void`
IStandbyContentPart.`createPartControl(Composite parent, FormToolkit toolkit)`
Creates the SWT controls for this standby part.

## Uses of FormToolkit in org.eclipse.ui.intro.contentproviders

Methods in org.eclipse.ui.intro.contentproviders with parameters of type FormToolkit
Modifier and Type
Method
Description
`void`
AlwaysWelcomeCheckbox.`createContent(String id, Composite parent, FormToolkit toolkit)`
`void`
EclipseRSSViewer.`createContent(String id, Composite parent, FormToolkit toolkit)`
Create widgets to display the newsreader when using the SWT presentation

## Uses of FormToolkit in org.eclipse.ui.intro.quicklinks

Methods in org.eclipse.ui.intro.quicklinks with parameters of type FormToolkit
Modifier and Type
Method
Description
`void`
QuicklinksViewer.`createContent(String id, Composite parent, FormToolkit toolkit)`

## Uses of FormToolkit in org.eclipse.ui.views.properties.tabbed

Subclasses of FormToolkit in org.eclipse.ui.views.properties.tabbed
Modifier and Type
Class
Description
`class`
`TabbedPropertySheetWidgetFactory`
A FormToolkit customized for use by tabbed property sheet page.